libsigc++ 2.0: sigc::lambda_operator< T_action, T_type1, T_type2 > Struct Template Reference

Main Page Groups Namespaces

# sigc::lambda_operator< T_action, T_type1, T_type2 > Struct Template Reference

Inheritance diagram for sigc::lambda_operator< T_action, T_type1, T_type2 >:

[legend]

List of all members.

## Public Types
typedef lambda < T_type1 > ::lambda_type | arg1_type
typedef lambda < T_type2 > ::lambda_type | arg2_type
typedef lambda_action_deduce_result_type < T_action, typename arg1_type::result_type, typename arg2_type::result_type > ::type | result_type
## Public Member Functions
result_type | operator() () const
template<class T_arg1>
deduce_result_type <T_arg1>::type | operator() (T_arg1 _A_1) const
template<class T_arg1>
deduce_result_type <T_arg1>::type | sun_forte_workaround (T_arg1 _A_1) const
template<class T_arg1, class T_arg2>
deduce_result_type < T_arg1, T_arg2 > ::type | operator() (T_arg1 _A_1, T_arg2 _A_2) const
template<class T_arg1, class T_arg2>
deduce_result_type < T_arg1, T_arg2 > ::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2) const
template<class T_arg1, class T_arg2, class T_arg3>
deduce_result_type < T_arg1, T_arg2, T_arg3 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3) const
template<class T_arg1, class T_arg2, class T_arg3>
deduce_result_type < T_arg1, T_arg2, T_arg3 >::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4 > ::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4 > ::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > ::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > ::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6, T_arg7 _A_7) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6, T_arg7 _A_7) const
| lambda_operator (typename type_trait<T_type1>::take a1, typename type_trait<T_type2>::take a2)
## Public Attributes
arg1_type | arg1_
arg2_type | arg2_
## Classes
struct | deduce_result_type

### template <class T_action, class T_type1, class T_type2>
struct sigc::lambda_operator< T_action, T_type1, T_type2 >

## Member Typedef Documentation

template <class T_action, class T_type1, class T_type2>

typedef lambda<T_type1>::lambda_type sigc::lambda_operator<T_action, T_type1, T_type2>::arg1_type

template <class T_action, class T_type1, class T_type2>

typedef lambda<T_type2>::lambda_type sigc::lambda_operator<T_action, T_type1, T_type2>::arg2_type

template <class T_action, class T_type1, class T_type2>

typedef lambda_action_deduce_result_type<T_action, typename arg1_type::result_type, typename arg2_type::result_type>::type sigc::lambda_operator<T_action, T_type1, T_type2>::result_type

## Constructor & Destructor Documentation

template <class T_action, class T_type1, class T_type2>

sigc::lambda_operator<T_action, T_type1, T_type2>::lambda_operator | ( | typename type_trait<T_type1>::take | a1,
|  | typename type_trait<T_type2>::take | a2 |
| ) |  |  | `[inline]`

## Member Function Documentation

template <class T_action, class T_type1, class T_type2>

lambda_operator<T_action, T_type1, T_type2 >::result_type sigc::lambda_operator<T_action, T_type1, T_type2>::operator() | ( |  | ) | const`[inline]`

template <class T_action, class T_type1, class T_type2>
template <class T_arg1>

deduce_result_type<T_arg1>::type sigc::lambda_operator<T_action, T_type1, T_type2>::operator() | ( | T_arg1 | _A_1 | ) | const`[inline]`

template <class T_action, class T_type1, class T_type2>
template <class T_arg1>

deduce_result_type<T_arg1>::type sigc::lambda_operator<T_action, T_type1, T_type2>::sun_forte_workaround | ( | T_arg1 | _A_1 | ) | const`[inline]`

template <class T_action, class T_type1, class T_type2>
template <class T_arg1, class T_arg2>

deduce_result_type<T_arg1,T_arg2>::type sigc::lambda_operator<T_action, T_type1, T_type2>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2 |
| ) |  |  | const`[inline]`

template <class T_action, class T_type1, class T_type2>
template <class T_arg1, class T_arg2>

deduce_result_type<T_arg1,T_arg2>::type sigc::lambda_operator<T_action, T_type1, T_type2>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2 |
| ) |  |  | const`[inline]`

template <class T_action, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3>

deduce_result_type<T_arg1,T_arg2,T_arg3>::type sigc::lambda_operator<T_action, T_type1, T_type2>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3 |
| ) |  |  | const`[inline]`

template <class T_action, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3>

deduce_result_type<T_arg1,T_arg2,T_arg3>::type sigc::lambda_operator<T_action, T_type1, T_type2>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3 |
| ) |  |  | const`[inline]`

template <class T_action, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4>::type sigc::lambda_operator<T_action, T_type1, T_type2>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4 |
| ) |  |  | const`[inline]`

template <class T_action, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4>::type sigc::lambda_operator<T_action, T_type1, T_type2>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4 |
| ) |  |  | const`[inline]`

template <class T_action, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5>::type sigc::lambda_operator<T_action, T_type1, T_type2>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5 |
| ) |  |  | const`[inline]`

template <class T_action, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5>::type sigc::lambda_operator<T_action, T_type1, T_type2>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5 |
| ) |  |  | const`[inline]`

template <class T_action, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6>::type sigc::lambda_operator<T_action, T_type1, T_type2>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6 |
| ) |  |  | const`[inline]`

template <class T_action, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6>::type sigc::lambda_operator<T_action, T_type1, T_type2>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6 |
| ) |  |  | const`[inline]`

template <class T_action, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6,T_arg7>::type sigc::lambda_operator<T_action, T_type1, T_type2>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6,
|  | T_arg7 | _A_7 |
| ) |  |  | const`[inline]`

template <class T_action, class T_type1, class T_type2>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6,T_arg7>::type sigc::lambda_operator<T_action, T_type1, T_type2>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6,
|  | T_arg7 | _A_7 |
| ) |  |  | const`[inline]`

## Member Data Documentation

template <class T_action, class T_type1, class T_type2>

arg1_type sigc::lambda_operator<T_action, T_type1, T_type2>::arg1_

template <class T_action, class T_type1, class T_type2>

arg2_type sigc::lambda_operator<T_action, T_type1, T_type2>::arg2_

The documentation for this struct was generated from the following file:

- operator.h